# Class CIM_FileSpecification
extends CIM_Check

FileSpecification identifies a file that is either to be on or off the system. The file is to be located in the directory identified in FileName, or by the CIM_Directory SpecificationFile association. When the Invoke methods are executed, it is expected that they will use a combination of information to check for file existence. Therefore, any of the properties with a NULL value are not checked. So, if only the FileName and MD5Checksum properties have values, they are the only ones considered by the Invoke methods.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Check
|
+--CIM_FileSpecification

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

FileSpecification identifies a file that is either to be on or off the system. The file is to be located in the directory identified in FileName, or by the CIM_Directory SpecificationFile association. When the Invoke methods are executed, it is expected that they will use a combination of information to check for file existence. Therefore, any of the properties with a NULL value are not checked. So, if only the FileName and MD5Checksum properties have values, they are the only ones considered by the Invoke methods.

UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CheckSum | uint32 |
Description | string | A checksum calculated as the 16-bit sum of the first 32 bytes of the file.
MappingStrings | string | MIF.DMTF|Software Signature|002.4
CRC1 | uint32 |
Description | string | The CRC1 property is the CRC value calculated using the middle 512K bytes of the file.
MappingStrings | string | MIF.DMTF|Software Signature|002.5
CRC2 | uint32 |
Description | string | The CRC2 property is the CRC value for the middle 512K bytes of the file, modulo 3.
MappingStrings | string | MIF.DMTF|Software Signature|002.6
CreateTimeStamp | datetime |
Description | string | The creation date and time of the file.
FileName | string |
Description | string | Either the name of the file or the name of the file with a directory prefix.
MaxLen | uint32 | 1024
FileSize | uint64 |
Description | string | The size of the file in Kilobytes.
PUnit | string | byte * 10^3
Units | string | KiloBytes
MD5Checksum | string |

Description

string

The MD5 algorithm is a well-known algorithm for computing a 128-bit checksum for any file or object. For purposes of MOF specification of the MD5Checksum property, the MD5 algorithm always generates a 32 character string. For example: The string abcdefghijklmnopqrstuvwxyz generates the string c3fcd3d76192e4007dfb496cca67e13b. See http: //www.ietf.org - RFC1321 for details on the // implementation of the MD5 algorithm.

MaxLen | uint32 | 32

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CheckID | string | CIM_Check
CheckMode | boolean | CIM_Check
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Check
SoftwareElementID | string | CIM_Check
SoftwareElementState | uint16 | CIM_Check
TargetOperatingSystem | uint16 | CIM_Check
Version | string | CIM_Check

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Check
InvokeOnSystem | uint32 | CIM_Check